Subject: Japan Working Group - Conference Call
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 14 Feb 2000 10:06:00 -0800 (PST)

I attach a draft agenda for the first meeting of the Japan Working Group. I 
will endeavour to phone each of you prior to the meeting to discuss your 
thoughts on the Working Group, including what you want out of your 
participation in the Group. I will be in E Power's office in Tokyo this week 
if you would like to contact me. I look forward to speaking with you and to 
the meeting later this week. 

Nick O'Day